curl --request POST \
--url https://api.truedy.ai/api/public/v1/telephony/numbers/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country_code": "US",
"locality": "<string>",
"area_code": "<string>",
"administrative_area": "<string>",
"phone_number_type": "<string>",
"features": [
"<string>"
],
"best_effort": true,
"reservable": true,
"exclude_held_numbers": true,
"quickship": true,
"limit": 50,
"api_key": "<string>",
"page": 1,
"page_size": 20
}
'import requests
url = "https://api.truedy.ai/api/public/v1/telephony/numbers/search"
payload = {
"country_code": "US",
"locality": "<string>",
"area_code": "<string>",
"administrative_area": "<string>",
"phone_number_type": "<string>",
"features": ["<string>"],
"best_effort": True,
"reservable": True,
"exclude_held_numbers": True,
"quickship": True,
"limit": 50,
"api_key": "<string>",
"page": 1,
"page_size": 20
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country_code: 'US',
locality: '<string>',
area_code: '<string>',
administrative_area: '<string>',
phone_number_type: '<string>',
features: ['<string>'],
best_effort: true,
reservable: true,
exclude_held_numbers: true,
quickship: true,
limit: 50,
api_key: '<string>',
page: 1,
page_size: 20
})
};
fetch('https://api.truedy.ai/api/public/v1/telephony/numbers/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"phone_number": "<string>",
"range": 123,
"region_information": {},
"phone_number_type": "<string>",
"features": [
"<string>"
],
"cost_information": {}
}
],
"meta": {
"request_id": "<string>",
"ts": "2023-11-07T05:31:56Z"
},
"pagination": {
"page": 2,
"page_size": 2,
"total_results": 1,
"total_pages": 1,
"has_more": true
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}Search Numbers
Search for available phone numbers to purchase. Body: country_code (default US), locality, area_code, administrative_area, phone_number_type, page, page_size.
Authorizations
Your API key. Send in the Authorization header as: Bearer
Body
ISO country code
City/region to search in
Area code (NDC) to filter by (e.g. 212)
State or province to filter by
Telnyx filter: local, toll_free, mobile, national, shared_cost
Telnyx filter: sms, mms, voice, fax, emergency, hd_voice, international_sms, local_calling
Include best-effort results (USA/CANADA)
Only numbers that can be reserved
Exclude numbers on hold for account
Exclude numbers needing extra time to activate (+1 toll_free)
Max results per page (overrides page_size when set)
1 <= x <= 100Optional Telnyx API key (uses master if not provided)
Page number (1-based) for pagination
x >= 1Number of results per page
1 <= x <= 100
